summaryrefslogtreecommitdiffstats
path: root/multimedia/gpac
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-12 17:42:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:42:37 +0200
commit90f7d258c831c0bc8025938e8bf19c8a9ddb304f (patch)
tree59900be96f68ded4ff1746c4da8e30cac98957cd /multimedia/gpac
parent82e6371651c5662d7548240be0e40c4aab4dab31 (diff)
downloadslackbuilds-90f7d258c831c0bc8025938e8bf19c8a9ddb304f.tar.gz
slackbuilds-90f7d258c831c0bc8025938e8bf19c8a9ddb304f.tar.xz
multimedia/gpac: Updated for version 0.4.5
Diffstat (limited to 'multimedia/gpac')
-rw-r--r--multimedia/gpac/README7
-rw-r--r--multimedia/gpac/gpac.SlackBuild57
-rw-r--r--multimedia/gpac/gpac.info10
3 files changed, 30 insertions, 44 deletions
diff --git a/multimedia/gpac/README b/multimedia/gpac/README
index ecf28e62e1..f96fa4df8a 100644
--- a/multimedia/gpac/README
+++ b/multimedia/gpac/README
@@ -1,8 +1,5 @@
GPAC is mainly used to package multimedia content for local or streaming
playback. GPAC includes MP4Box utility which lets packaging of
-various audio and video codecs into mp4 container
+various audio and video codecs into mp4 container.
-GPAC needs the following software, which are all available from SBo.
-1. ffmpeg (Feb 8, 2007 snapshot or later)
-2. xvid
-3. faad2
+GPAC requires ffmpeg, xvid, and faad2.
diff --git a/multimedia/gpac/gpac.SlackBuild b/multimedia/gpac/gpac.SlackBuild
index 2dc95110e6..0fa3197f2b 100644
--- a/multimedia/gpac/gpac.SlackBuild
+++ b/multimedia/gpac/gpac.SlackBuild
@@ -1,20 +1,17 @@
#!/bin/sh
-#################################################################################
-
# Slackware Package Build Script for gpac
-
# Home Page http://gpac.sourceforge.net/
# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
# All rights reserved.
-
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-
+#
# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-
+#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -26,11 +23,9 @@
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-#################################################################################
PRGNAM=gpac
-VERSION=0.4.4
+VERSION=0.4.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,8 +35,6 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
CWD=$(pwd)
-set -e
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -50,17 +43,13 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
-### clean up from previous builds
+set -e
-rm -rf $PKG $TMP/$PRGNAM-$VERSION
+rm -rf $PKG $TMP/$PRGNAM
mkdir -p $TMP $PKG $OUTPUT
-
-### Extracting the source tarballs
-
cd $TMP
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
-mv $TMP/$PRGNAM $TMP/$PRGNAM-$VERSION
-cd $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
chown -R root.root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -68,39 +57,39 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-### fix configure script perms
-chmod u+x configure
+chmod 0755 configure # That's weird :)
CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
---mandir=/usr/man \
---cpu=${ARCH}
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --cpu=${ARCH}
-# I could not get this to compile with more than 1 job, XGizzmo
-make -j1
+make
make install DESTDIR=$PKG
-### copying essential doc files
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Remove $PKG/usr/share/gpac directory - it only contains
+# a gpac.mp4 file which doesn't seem to play with mplayer
+# We'll remove the parent /usr/share, since it should be empty, but
+# use a hushed rmdir just in case...
+rm -fr $PKG/usr/share/gpac ; rmdir $PKG/usr/share 2>/dev/null || true
-cp -a AUTHORS COPYING BUGS Changelog INSTALL \
-README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING BUGS Changelog INSTALLME README TODO \
+ doc/configuration.html $PKG/usr/doc/$PRGNAM-$VERSION
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-# find and compress man pages
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-### putting slack-desc and doinst.sh in place
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-### building package
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gpac/gpac.info b/multimedia/gpac/gpac.info
index 0d9d09b2b7..2df35153b5 100644
--- a/multimedia/gpac/gpac.info
+++ b/multimedia/gpac/gpac.info
@@ -1,8 +1,8 @@
PRGNAM="gpac"
-VERSION="0.4.4"
+VERSION="0.4.5"
HOMEPAGE="http://gpac.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/gpac/gpac-0.4.4.tar.gz"
-MD5SUM="a5cb48ab85e9914d127fd8799b4b2e56"
-AUTHOR="Nishant Limbachia"
+DOWNLOAD="http://downloads.sourceforge.net/gpac/gpac-0.4.5.tar.gz"
+MD5SUM="755e8c438a48ebdb13525dd491f5b0d1"
+MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero,rworkman"